Loading...
Searching...
No Matches
Halide::Internal::StmtNode< T > Struct Template Reference

`#include <Expr.h>`

Inheritance diagram for Halide::Internal::StmtNode< T >:

## Public Member Functions

void | accept (IRVisitor *v) const override
| We use the visitor pattern to traverse IR nodes throughout the compiler, so we have a virtual accept method which accepts visitors.
Stmt | mutate_stmt (IRMutator *v) const override
| StmtNode ()
| ~StmtNode () override=default
Public Member Functions inherited from Halide::Internal::BaseStmtNode
| BaseStmtNode (IRNodeType t)
Public Member Functions inherited from Halide::Internal::IRNode
| IRNode (IRNodeType t)
virtual | ~IRNode ()=default

## Additional Inherited Members

Public Attributes inherited from Halide::Internal::IRNode
RefCount | ref_count
| These classes are all managed with intrusive reference counting, so we also track a reference count.
IRNodeType | node_type
| Each IR node subclass has a unique identifier.

## Detailed Description

template<typename T>
struct Halide::Internal::StmtNode< T >

Definition at line 168 of file Expr.h.

## Constructor & Destructor Documentation

## StmtNode()

template<typename T>

Halide::Internal::StmtNode< T >::StmtNode | ( |  | ) |

inline

Definition at line 171 of file Expr.h.

References Halide::Internal::BaseStmtNode::BaseStmtNode().

## ~StmtNode()

template<typename T>

Halide::Internal::StmtNode< T >::~StmtNode | ( |  | ) |

override default

## Member Function Documentation

## accept()

template<typename T>

void Halide::Internal::StmtNode< T >::accept | ( | IRVisitor * | v | ) | const

override virtual

We use the visitor pattern to traverse IR nodes throughout the compiler, so we have a virtual accept method which accepts visitors.

Implements Halide::Internal::IRNode.

## mutate_stmt()

template<typename T>

Stmt Halide::Internal::StmtNode< T >::mutate_stmt | ( | IRMutator * | v | ) | const

override virtual

Implements Halide::Internal::BaseStmtNode.

The documentation for this struct was generated from the following file:

- src/Expr.h